# Generated by Django 3.2.5 on 2021-07-24 21:21

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('research_portal_embedding', '0001_initial'),
    ]

    operations = [
        migrations.RenameField(
            model_name='research_portal_list',
            old_name='config_str',
            new_name='extra_html',
        ),
        migrations.RemoveField(
            model_name='research_portal_list',
            name='raw_html',
        ),
        migrations.AddField(
            model_name='research_portal_list',
            name='extra_beautiful',
            field=models.JSONField(default={}),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='research_portal_list',
            name='research_portal_link',
            field=models.TextField(default=None),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='research_portal_list',
            name='id',
            field=models.AutoField(primary_key=True, serialize=False),
        ),
        migrations.AlterField(
            model_name='research_portal_list',
            name='parsed_html',
            field=models.TextField(default=''),
        ),
        migrations.DeleteModel(
            name='Research_portal_list_raw',
        ),
    ]
